from django.urls import reverse

from heliport.graph_generator import Module


class ArchiveModule(Module):
    name = 'Archive'
    module_id = 'archive'

    def get_url(self, project):
        return reverse('archive:list', kwargs={'project': project.pk})

    def is_configured(self, project):
        return project.archive_set.all()


def get_search_url():
    return reverse('archive:search')


def serialize_project(project):
    query = project.archive_set.all()
    result = dict()
    if query:
        result['heliport:has_Archive'] = [
            {
                'heliport:archive_id': a.archive_id,
                'datacite:hasDescription': a.description,
            }
            for a in query
        ]

    return result
