class DynamicDefault{
    /*
     Set the default value of the input field "target_box" to the translation ("translate_func")
     of the value of "source_box" while the user is Typing.
     */

    constructor(source_box, target_box, translate_func=(i) => i){
        this.source_box = source_box;
        this.target_box = target_box;
        this.translate_func = translate_func;

        this.old_value = this.source_box.val();
        this.source_box.on('input', () => {
            let still_default = this.translate_func(this.old_value) === this.target_box.val();
            let still_empty = this.target_box.val() === '';
            if(still_default || still_empty){
                let target_val = this.translate_func(this.source_box.val());
                if(this.source_box.val() === '') target_val = '';
                this.target_box.val(target_val);
            }
            this.old_value = this.source_box.val();
        });
    }
}
