class CaptureObj extends ItemsObj{
    /*
     Represents the capturing of stdout and stderr of a cwl tool and presents it to the user as item object.
     */

    constructor(html_parent, values={}){
        super(html_parent, true);
        this.initItems(values);
        this.initHTML();
    }

    initItems(values={}){
        let stdout_in = $(`<input class="form-control" placeholder="${gettext('stdout output parameter')}">`);
        let stdout_file_in = $(`<input class="form-control" placeholder="${gettext('file to store stdout in')}">`);
        let stderr_in = $(`<input class="form-control" placeholder="${gettext('stderr output parameter')}">`);
        let stderr_file_in = $(`<input class="form-control" placeholder="${gettext('file to store stderr in')}">`);

        this.addItem('stdout',
            gettext('Name of Output Parameter'),
            stdout_in,
            values.stdout || null);
        this.addItem('stdout_file',
            gettext('Filename'),
            stdout_file_in,
            values.stdout_file || null);
        this.addItem('stderr',
            gettext('Name of Error Output Parameter'),
            stderr_in,
            values.stderr || null);
        this.addItem('stderr_file',
            gettext('Error Filename'),
            stderr_file_in,
            values.stderr_file || null);

        new DynamicDefault(stdout_in, stdout_file_in, (s) => s + '.txt');
        new DynamicDefault(stderr_in, stderr_file_in, (s) => s + '.txt');
    }
}
