class MainObj extends ItemsObj{
    /*
     Represents general information of a cwl tool and presents it to the user as item object.
     */

    constructor(html_parent, values={}){
        super(html_parent, true);
        this.initItems(values);
        this.initHTML();
    }

    initItems(values={}){
        let cmd_in = $(`<input class="form-control" required>`);
        let name_in = $(`<input class="form-control">`);
        this.addItem('baseCommand',
            gettext('Command to Execute'),
            cmd_in,
            values.baseCommand || null);
        this.addItem('label',
            gettext('Name'),
            name_in,
            values.label || null);
        this.addItem('doc',
            gettext('Description'),
            $(`<textarea class="form-control" rows="5"></textarea>`),
            values.doc || null);

        new DynamicDefault(cmd_in, name_in, (s) => {
            let sections = s.split(' ');
            let result = sections[0];
            if(sections.length > 1) result += '_tool';
            return result;
        });
    }
}
