class InputObj extends ItemsObj{
    /*
     Represents an input parameter of a cwl tool and presents it to the user as item object.
     */

    constructor(html_parent, values={}){
        super(html_parent)
        this.initItems(values)
        this.initHTML();
    }

    initItems(values={}){
        let name_in = $(`<input class="form-control" required>`);
        let prefix_in = $(`<input class="form-control" placeholder="-xyz">`);
        this.addItem('id',
            gettext('Name'),
            name_in,
            values.id || null);
        this.addItem('prefix',
            gettext('Prefix'),
            prefix_in,
            values.prefix || null);
        this.addItem('type',
            gettext('Type'),
            $(`<select class="form-control" required>
                <option value="string">String</option>
                <option value="boolean">Boolean</option>
                <option value="File">File</option>
            </select>`),
            values.type || null);
        this.addItem('label',
            gettext('Description'),
            $(`<input class="form-control">`),
            values.label || null);

        new DynamicDefault(prefix_in, name_in, (s) => s.replaceAll('-', ' ').trim());
    }
}
