class OutputObj extends ItemsObj{
    /*
     Represents an output parameter of a cwl tool and presents it to the user as item object.
     */

    constructor(html_parent, values={}){
        super(html_parent);
        this.initItems(values)
        this.initHTML();
    }

    initItems(values={}){
        let name_in = $(`<input class="form-control" required>`);
        let glob_in = $(`<input class="form-control" placeholder="*.txt" required>`);
        this.addItem('id',
            gettext('Name'),
            name_in,
            values.id || null);
        this.addItem('glob',
            gettext('File Pattern'),
            glob_in,
            values.glob || null);
        this.addItem('type',
            gettext('Type'),
            $(`<select class="form-control" required>
                <option value="File">${gettext('Normal File')}</option>
                <option value="File_array">${gettext('List of Files')}</option>
            </select>`),
            values.type || null);
        this.addItem('label',
            gettext('Description'),
            $(`<input class="form-control">`),
            values.label || null);

        new DynamicDefault(glob_in, name_in, (s) => s.startsWith('*.') ? s.substr(2) : s.split('.')[0]);
    }
}
