from django.db import models

from heliport.models import Project
from heliport.models import LoginInfo


class DataSource(models.Model):
    PROTOCOL_CHOICES = ["https", "http", "ftp", "ftps", "file", "ssh", "other"]

    data_source_id = models.AutoField(primary_key=True)
    uri = models.CharField(max_length=500, blank=True)
    description = models.TextField(blank=True)
    name = models.CharField(max_length=100, default="new_datasource")
    project = models.ForeignKey(Project, on_delete=models.CASCADE)
    login = models.ForeignKey(LoginInfo, on_delete=models.SET_NULL, null=True, blank=True)

    @property
    def protocol_path(self):
        result = self.uri.split('://', maxsplit=1)
        while len(result) < 2:
            result.append('')
        return result

    @property
    def protocol(self):
        protocol, uri = self.protocol_path
        return protocol

    @property
    def path(self):
        protocol, uri = self.protocol_path
        return uri
