from django.urls import reverse

from heliport.graph_generator import Module


class DocumentationModule(Module):
    name = 'Digital Objects'
    module_id = 'digital_objects'

    def get_url(self, project):
        return reverse('digital_objects:list', kwargs={'project': project.pk})

    def is_configured(self, project):
        return bool(project.digitalobject_set.all())


def get_api_root():
    return reverse('digital_objects:api_root')


def get_search_url():
    return reverse('digital_objects:search')


def serialize_project(project):
    query = project.digitalobject_set.all()
    result = dict()
    if query:
        result['heliport:has_DigitalObject'] = [
            {
                'heliport:digital_object_id': do.digital_object_id,
                'datacite:handle': f'https://hdl.handle.net/{do.handle}',
                'heliport:relation_to_project': do.relation,
                'rdfs:type': do.category,
                'datacite:hasDescription': do.description,
            }
            for do in query
        ]

    return result
