from django.urls import path, include
from rest_framework import routers

from .views import *

app_name = 'digital_objects'
urlpatterns = [
    path('project/<int:project>/list/', ObjectsView.as_view(), name='list'),
    path('handles/query', QueryHandleView.as_view(), name='handle_query'),
    path('relations/query', RelationAutocompleteView.as_view(), name='relation_query'),
    path('search', SearchView.as_view(), name='search'),
]

# for REST API:
router = routers.DefaultRouter()
router.register(r'digital_objects', DigitalObjectViewSet, basename='digital_objects')

urlpatterns += [
    path('api-root/', router.get_api_root_view(), name='api_root'),
    path('api/', include(router.urls)),
]
