from django.db import models

from heliport.models import Project


class Documentation(models.Model):
    DOCU_OPEN_BIS = 1
    DOCU_MEDIA_WIKI = 2
    DOCU_LIMS = 3
    DOCU_SYSTEMS = [
        (DOCU_OPEN_BIS, "OpenBis"),
        (DOCU_MEDIA_WIKI, "MediaWiki"),
        (DOCU_LIMS, "Lims")
    ]

    documentation_id = models.AutoField(primary_key=True)
    description = models.TextField()
    system = models.IntegerField(choices=DOCU_SYSTEMS)
    link = models.CharField(max_length=100)
    project = models.ForeignKey(Project, on_delete=models.CASCADE)
