from django.urls import path, include
from rest_framework import routers

from .views import *

app_name = 'gate_connection'
urlpatterns = [
    path('project/<int:project>/list/', ConnectToGateProjectView.as_view(), name='connect'),
    path('project/<int:project>/gate/<int:pk>/', ConnectedToGateProjectView.as_view(), name='connected'),
    path('manually/update/gate/database/', ManualGateDownloadView.as_view()),
    path('search/', SearchView.as_view(), name='search'),
]

# for REST API:
router = routers.DefaultRouter()
router.register(r'gate_project', GateProjectViewSet, basename='gate_project')
router.register(r'gate_user', GateUserViewSet, basename='gate_user')

urlpatterns += [
    path('api-root/', router.get_api_root_view(), name='api_root'),
    path('api/', include(router.urls)),
]
