from django.urls import reverse

from heliport.graph_generator import Module


class ArchiveModule(Module):
    name = 'Publication'
    module_id = 'publication'

    def get_url(self, project):
        return reverse('publication:list', kwargs={'project': project.pk})

    def is_configured(self, project):
        return project.publication_set.all()


def get_api_root():
    return reverse('publication:api_root')


def get_search_url():
    return reverse('publication:search')


def serialize_project(project):
    query = project.publication_set.all()
    result = dict()
    if query:
        result['heliport:has_Publication'] = [
            {
                'heliport:publication_id': pub.publication_id,
                'datacite:hasDescription': pub.description,
            }
            for pub in query
        ]

    return result
