from django.urls import path, include
from rest_framework import routers

from .views import *

app_name = 'publication'
urlpatterns = [
    path('project/<int:project>/list/', PublicationView.as_view(), name='list'),
    path('search/', SearchView.as_view(), name='search'),
]

# for REST API:
router = routers.DefaultRouter()
router.register(r'publications', PublicationViewSet, basename='publications')

urlpatterns += [
    path('api-root/', router.get_api_root_view(), name='api_root'),
    path('api/', include(router.urls)),
]
