import uuid
import hashlib
from django.conf import settings


def generate_object_id():
    return uuid.uuid4()


def generate_project_id(user, group, date):
    # create a hash from username and datetime
    hash_base = f"{user}, {date}"
    hash_str = str(int(hashlib.sha256(hash_base.encode()).hexdigest(), 16) % (10 ** 6))
    return f"{settings.HZDR_ID_PREFIX}.{group}.{date.year}.{hash_str}"
