from django.conf import settings
import environ
from .command_line_execution import create_command_executor, CommandExecutor

env = environ.Env()


def create_data_command_executor():
    if settings.DATA_SYNC_VIA_SSH:
        if 'UTS_PASSWORD' in env:
            return create_command_executor(
                host=settings.DATA_SYNC_VIA_SSH, username=env('UTS_USER'), password=env('UTS_PASSWORD'))
        else:
            return create_command_executor(
                host=settings.DATA_SYNC_VIA_SSH, username=env('UTS_USER'), import_local_keys=True)
    else:
        return create_command_executor(host=None)
